/* 
This file is part of the PolePosition database benchmark
http://www.polepos.org

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA  02111-1307, USA. */

package org.polepos.teams.perst;

import org.polepos.framework.*;
import java.io.File;

import org.garret.perst.*;


public class PerstCar extends Car {
    
    private static final String FOLDER = "data/perst";
    private static final String PERST_FILE = "dbbench.dbs"; 
    private static final String PERST_VERSION = "perst-3.44"; 
        
    @Override
    public String name() {
        return PERST_VERSION;
    }
    
    public void initialize() { 
        new File(FOLDER).mkdirs();
        new File(path()).delete();
    }
    
    public Storage createStorage() { 
        Storage storage = StorageFactory.getInstance().createStorage(); 
        storage.open(path());
        return storage;
    }
    
    private final String path() {
        return FOLDER + "/" + PERST_FILE;       
    }
}
