/* 
This file is part of the PolePosition database benchmark
http://www.polepos.org

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA  02111-1307, USA. */

package org.polepos.teams.perst;

import org.polepos.framework.*;

public class PerstTeam extends Team{
    
    @Override
    public String name(){
        return "perst";
    }
    
    @Override
    public String description() {
        return "the open source object database for Java and .NET";
    }

    @Override
    public Car[] cars(){
        return new Car[]{ new PerstCar() };
    }

    @Override
    public Driver[] drivers() {
        return new Driver[]{
            new MelbournePerst(),
            new SepangPerst(),
            new BahrainPerst(),
            new ImolaPerst(),
            new BarcelonaPerst()
        };
    }

    @Override
    public String website() {
        return "http://www.perst.org";
    }    
}
